no bro not suported 6.0.1 restore it